libvips15_7.28.5-1+deb7u1_amd64.deb


Advertisement

Description

libvips15 - image processing system good for very large images

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libvips15
Package version 7.28.5
Package release 1+deb7u1
Package architecture amd64
Package type deb
Installed size 2.01 KB
Download size 750.51 KB
Official Mirror ftp.br.debian.org
VIPS is an image processing system designed with efficiency in mind.
It is good with large images (images larger than the amount of RAM in
your machine), and for working with colour.  It can perform many
image manipulation tasks much faster than other packages such as
ImageMagick and the GIMP and includes some special features such as
creating single "mosaic" images from multiple parts.
VIPS consists of two main components: an image processing library
with some command-line tools and a spreadsheet-like graphical user
interface.  The graphical interface is available in the nip2 package.
This package includes runtime libraries needed to run applications
linked with the vips library.

Alternatives

Package Version Architecture Repository
libvips15_7.28.5-1+deb7u2_amd64.deb 7.28.5 amd64 Debian Security Updates Main
libvips15_7.28.5-1+deb7u2_i386.deb 7.28.5 i386 Debian Security Updates Main
libvips15_7.28.5-1+deb7u1_i386.deb 7.28.5 i386 Debian Main
libvips15 - - -

Requires

Name Value
libc6 >= 2.11
libcfitsio3 >= 3.060
libexif12 -
libfftw3-3 -
libfontconfig1 >= 2.9.0
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libglib2.0-0 >= 2.31.8
libgomp1 >= 4.2.1
libilmbase6 >= 1.0.1
libjpeg8 >= 8c
liblcms2-2 -
libmagickcore5 >= 8:6.7.7.10
libmagickwand5 >= 8:6.7.7.10
libmatio0 -
libopenexr6 >= 1.6.1
libopenslide0 -
liborc-0.4-0 >= 1:0.4.16
libpango1.0-0 >= 1.14.0
libpng12-0 >= 1.2.13-4
libstdc++6 >= 4.6
libtiff4 >> 3.9.5-3~
libtiff5 >> 4.0.0-1~
libxml2 >= 2.7.4
multiarch-support -
zlib1g >= 1:1.1.4

Provides

Name Value
libvips -

Download

Type URL
Binary Package libvips15_7.28.5-1+deb7u1_amd64.deb
Source Package vips

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvips15 deb package:
    # sudo apt-get install libvips15

Files

Path
/usr/lib/x86_64-linux-gnu/libvips.so.15
/usr/lib/x86_64-linux-gnu/libvips.so.15.16.5
/usr/lib/x86_64-linux-gnu/libvipsCC.so.15
/usr/lib/x86_64-linux-gnu/libvipsCC.so.15.16.5
/usr/share/doc/libvips15/AUTHORS
/usr/share/doc/libvips15/NEWS.gz
/usr/share/doc/libvips15/README.Debian
/usr/share/doc/libvips15/README.gz
/usr/share/doc/libvips15/THANKS
/usr/share/doc/libvips15/TODO.gz
/usr/share/doc/libvips15/changelog.Debian.gz
/usr/share/doc/libvips15/changelog.gz
/usr/share/doc/libvips15/copyright
/usr/share/lintian/overrides/libvips15
/usr/share/locale/de/LC_MESSAGES/vips7.mo
/usr/share/locale/en_GB/LC_MESSAGES/vips7.mo

Changelog

2013-12-20 - Jay Berkenbilt <qjb@debian.org>
vips (7.28.5-1+deb7u1) stable; urgency=low
* Fix crash on tiff with jpeg compression.  Thanks to Mathieu Malaterre
<malat@debian.org> for diagnosing this bug, getting a fix from
upstream, and preparing a patch.  (Closes: #689523, #714984, #731948)
2012-05-29 - Jay Berkenbilt <qjb@debian.org>
vips (7.28.5-1) unstable; urgency=low
* New upstream release
* multiarch, hardening
* Support bigtiff
2012-03-18 - Jay Berkenbilt <qjb@debian.org>
vips (7.28.2-1) unstable; urgency=low
* New upstream release
2012-03-05 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-4) unstable; urgency=low
* Explicitly disable v4l on kfreebsd architectures.  Hopefully it's
really right this time.  (Closes: #654430)
2012-03-05 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-3) unstable; urgency=low
* Correctly implement previous change (fix omission in rules file)
2012-03-05 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-2) unstable; urgency=low
* Update png dependency to libpng-dev.  (Closes: #662536)
* Explicitly disable v4l on kfreebsd architectures.  (Closes: #654430)
2011-12-31 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-1) unstable; urgency=low
* New upstream release
* Fix python packaging issue.  Thanks Jakub Wilik <jwilk@debian.org>.
(Closes: #642746)
2011-09-03 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.3-1) unstable; urgency=low
* New upstream release
* Migrate from dh_pycentral to dh_python2.  (Closes: #617141)
* Remove remaining .la files which were installed with the python
module.  (Closes: #633181)
* New upstream release includes updated German translation.  (Closes:
#625255)
2011-06-11 - Jay Berkenbilt <qjb@debian.org>
vips (7.24.5-4) unstable; urgency=high
* Fixed ImageMagick dependencies; previous fix missed dependencies of
libvips-dev. (Closes: #629904, #630014)
2011-05-07 - Jay Berkenbilt <qjb@debian.org>
vips (7.24.5-3) unstable; urgency=low
* Updated libmagick build dependencies to use non-version-specific
packages for better upgradability. (Closes: #625602, #625552)

See Also

Package Description
libvirt-bin_0.9.12.3-1+deb7u1_amd64.deb programs for the libvirt library
libvirt-dev_0.9.12.3-1+deb7u1_amd64.deb development files for the libvirt library
libvirt-doc_0.9.12.3-1+deb7u1_all.deb documentation for the libvirt library
libvirt-glib-1.0-0_0.0.8-1_amd64.deb libvirt glib mainloop integration
libvirt-glib-1.0-dev_0.0.8-1_amd64.deb libvirt glib mainloop integration
libvirt-ocaml-dev_0.6.1.2-1_amd64.deb OCaml bindings for libvirt
libvirt-ocaml_0.6.1.2-1_amd64.deb OCaml bindings for libvirt
libvirt-ruby1.8_0.4.0-1_all.deb Transitional package for ruby-libvirt
libvirt-ruby_0.4.0-1_all.deb Transitional package for ruby-libvirt
libvirt0_0.9.12.3-1+deb7u1_amd64.deb library for interfacing with different virtualization systems
libvirtodbc0_6.1.4+dfsg1-7_amd64.deb high-performance database - ODBC libraries
libvirtuoso5.5-cil_6.1.4+dfsg1-7_amd64.deb high-performance database - Mono assemblies
libvisca-dev_1.0.1-1_amd64.deb Development files for libvisca
libvisca0_1.0.1-1_amd64.deb Protocol implementation of VISCA cameras control interface
libvisio-0.0-0_0.0.17-1_amd64.deb library for parsing the visio file structure
Advertisement
Advertisement